commit:     af216c2cbfa410566ff60248047959d958de0b78
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Mar  4 08:05:50 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Mar  4 08:57:24 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=af216c2c

dev-python/dulwich: Bump to 0.20.20

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/dulwich/Manifest               |  1 +
 dev-python/dulwich/dulwich-0.20.20.ebuild | 56 +++++++++++++++++++++++++++++++
 2 files changed, 57 insertions(+)

diff --git a/dev-python/dulwich/Manifest b/dev-python/dulwich/Manifest
index 84df7f9c58e..e180a3b968f 100644
--- a/dev-python/dulwich/Manifest
+++ b/dev-python/dulwich/Manifest
@@ -1,4 +1,5 @@
 DIST dulwich-0.20.15.tar.gz 391841 BLAKE2B 
8db19f84154dff0851fd16bc534d92b506c93a93d7180079bc9829a2c81bbb25b04b234770e62ddab82440973d0702b8523896a9db90d771d8cc915b6321cdaa
 SHA512 
a4e746099a90ea2d7eb5f0309508a4f625d41732bdda78997fab07b38ea2ecbd2c2aed08c8ef05b1b73fe3e2ba9b8c8cbf02270f8edbc6235d66cdee0317365c
 DIST dulwich-0.20.18.tar.gz 392023 BLAKE2B 
891a02380eae06f2a6331825f6380917c0fd43b418149c30f640566f76b49996f79c7295215d3cf006af86d8ed5bd1465696bcbe402dcfd6b68748043eb4e376
 SHA512 
ae4311c5d460d7859728c9e9fa9e1888f228488a5cc427a637a7e3d1ae0de3effb1136500b13e0706da38158a245147b0996392b157e67d928caa339416bdf7c
 DIST dulwich-0.20.19.tar.gz 393004 BLAKE2B 
89a63943a150ccd15549898689af68769b7f0cf25065e6cf9c9c5addb0fb3635fbc5c0fd23c79d2facdaf3086fd5e853e7ac3f9690f7fe40e0b561f0709651e9
 SHA512 
07a6b127fc1170a929b22cb04e34a0653131d175d3813fccc9e47e6d250bfa217bb0a2557d5e7fda6edcc5376809e6593dbd0fa52eb73360ba9c3dcdac69c81a
+DIST dulwich-0.20.20.tar.gz 397197 BLAKE2B 
941cb09c0537ec9ab96fc65cac12f94cc74b549eb2a8a516def96f66a8d31ad602ae4253910a24efe7254411dd4723832481b0df3189a9cb8708e3bbd512eb6f
 SHA512 
ca83bfe3566981830bdc91d2e4ed039625fa6780dcabf74e0e91c9d89001e06dd04c8a10e8dfaf5c5ad67081d77fc9e996e2e3e1a0589954faae09162c545b02
 DIST dulwich-0.20.6.tar.gz 388660 BLAKE2B 
1a193d03e0f21a9fdd125617823742b87e9bea74c73734da10eb79f1ecbec0263cb90224f78413c724db8998f4d06ff6c448e7a6d50ce760ba1545f3321b95d8
 SHA512 
2f11ce9a1c716fb4242f1f93fce92f756bd93ed8f0951fc2e6b3fb18b0a495b0f372966149fca587efcafc0eaf00e9fbfcfd957442a96cc2004eb66cb7f0773e

diff --git a/dev-python/dulwich/dulwich-0.20.20.ebuild 
b/dev-python/dulwich/dulwich-0.20.20.ebuild
new file mode 100644
index 00000000000..dca05e756a2
--- /dev/null
+++ b/dev-python/dulwich/dulwich-0.20.20.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7..9} )
+DISTUTILS_USE_SETUPTOOLS=rdepend  # tests use setuptools, setup uses if found
+
+inherit distutils-r1
+
+DESCRIPTION="Pure-Python implementation of the Git file formats and protocols"
+HOMEPAGE="
+       https://github.com/dulwich/dulwich/
+       https://pypi.org/project/dulwich/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2+ Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~x86 ~amd64-linux 
~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris 
~x86-solaris"
+IUSE="doc examples test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       dev-python/certifi[${PYTHON_USEDEP}]
+       dev-python/urllib3[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       test? (
+               ${RDEPEND}
+               !hppa? ( !ia64? (
+                       dev-python/gevent[${PYTHON_USEDEP}]
+                       dev-python/geventhttpclient[${PYTHON_USEDEP}]
+               ) )
+               dev-python/mock[${PYTHON_USEDEP}]
+               dev-python/python-fastimport[${PYTHON_USEDEP}]
+       )"
+
+distutils_enable_sphinx docs
+
+python_test() {
+       # remove interference from the tests that do stuff like user.name
+       unset GIT_AUTHOR_NAME GIT_AUTHOR_EMAIL GIT_AUTHOR_DATE \
+               GIT_COMMITTER_NAME GIT_COMMITTER_EMAIL GIT_COMMITTER_DATE EMAIL
+       # Do not use make check which rebuilds the extension and uses -Werror,
+       # causing unexpected failures.
+       "${EPYTHON}" -m unittest -v dulwich.tests.test_suite \
+               || die "tests failed with ${EPYTHON}"
+}
+
+python_install_all() {
+       if use examples; then
+               docompress -x "/usr/share/doc/${PF}/examples"
+               dodoc -r examples
+       fi
+       distutils-r1_python_install_all
+}

Reply via email to